Package com.sap.ai.sdk.foundationmodels.openai.model

# Class OpenAiCompletionParameters

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.model.OpenAiCompletionParameters

Direct Known Subclasses:
  `OpenAiChatCompletionParameters`

@Deprecated public class OpenAiCompletionParameters extends Object
Deprecated.
OpenAI completion input parameters.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OpenAiCompletionParameters.OpenAiStreamOptions`
  Deprecated.
  "stream_options": { "include_usage": "true" }

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OpenAiCompletionParameters()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `void`
  `enableStreaming()`
  Deprecated.
  Please use `OpenAiClient.streamChatCompletionDeltas(OpenAiChatCompletionParameters)` instead.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `int`
  `hashCode()`
  Deprecated.
  `OpenAiCompletionParameters`
  `setFrequencyPenalty(Double frequencyPenalty)`
  Deprecated.
  Number between -2.0 and 2.0.
  `OpenAiCompletionParameters`
  `setLogitBias(Map<String,Object> logitBias)`
  Deprecated.
  Modify the likelihood of specified tokens appearing in the completion.
  `OpenAiCompletionParameters`
  `setMaxTokens(Integer maxTokens)`
  Deprecated.
  The maximum number of [tokens](/tokenizer) that can be generated in the completion.
  `OpenAiCompletionParameters`
  `setN(Integer n)`
  Deprecated.
  How many completions to generate for each prompt.
  `OpenAiCompletionParameters`
  `setPresencePenalty(Double presencePenalty)`
  Deprecated.
  Number between -2.0 and 2.0.
  `OpenAiCompletionParameters`
  `setStop(String... values)`
  Deprecated.
  Up to four sequences where the API will stop generating further tokens.
  `OpenAiCompletionParameters`
  `setTemperature(Double temperature)`
  Deprecated.
  What sampling temperature to use, between 0 and 2.
  `OpenAiCompletionParameters`
  `setTopP(Double topP)`
  Deprecated.
  An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass.
  `OpenAiCompletionParameters`
  `setUser(String user)`
  Deprecated.
  A unique identifier representing your end-user, which can help monitoring and detecting abuse.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OpenAiCompletionParameters

    public OpenAiCompletionParameters()
    Deprecated.

- ## Method Details

  - ### enableStreaming

    public void enableStreaming()
    Deprecated.
    Please use `OpenAiClient.streamChatCompletionDeltas(OpenAiChatCompletionParameters)` instead.

    Enable streaming of the completion. If enabled, partial message deltas will be sent.

  - ### setStop

    @Nonnull public OpenAiCompletionParameters setStop(@Nullable String... values)
    Deprecated.
    Up to four sequences where the API will stop generating further tokens. The returned text won't contain the stop sequence.
    Parameters:
      `values` - The stop sequences.
    Returns:
      ${code this} instance for chaining.

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`

  - ### setMaxTokens

    public OpenAiCompletionParameters setMaxTokens(@Nullable Integer maxTokens)
    Deprecated.
    The maximum number of [tokens](/tokenizer) that can be generated in the completion. The token count of your prompt plus max_tokens can't exceed the model's context length. Most models have a context length of 2048 tokens (except for the newest models, which support 4096).
    Returns:
      `this`.

  - ### setTemperature

    public OpenAiCompletionParameters setTemperature(@Nullable Double temperature)
    Deprecated.
    What sampling temperature to use, between 0 and 2. Higher values means the model will take more risks. Try 0.9 for more creative applications, and 0 (`argmax sampling`) for ones with a well-defined answer. We generally recommend altering this or top_p but not both.
    Returns:
      `this`.

  - ### setTopP

    public OpenAiCompletionParameters setTopP(@Nullable Double topP)
    Deprecated.
    An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered. We generally recommend altering this or temperature but not both.
    Returns:
      `this`.

  - ### setLogitBias

    public OpenAiCompletionParameters setLogitBias(@Nullable Map<String,Object> logitBias)
    Deprecated.
    Modify the likelihood of specified tokens appearing in the completion. Accepts a json object that maps tokens (specified by their token ID in the GPT tokenizer) to an associated bias value from -100 to 100. You can use this tokenizer tool (which works for both GPT-2 and GPT-3) to convert text to token IDs. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token. As an example, you can pass {"50256": -100} to prevent the invalid input: '<'|endoftext|> token from being generated.
    Returns:
      `this`.

  - ### setUser

    public OpenAiCompletionParameters setUser(@Nullable String user)
    Deprecated.
    A unique identifier representing your end-user, which can help monitoring and detecting abuse.
    Returns:
      `this`.

  - ### setN

    public OpenAiCompletionParameters setN(@Nullable Integer n)
    Deprecated.
    How many completions to generate for each prompt. Note: Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for max_tokens and stop.
    Returns:
      `this`.

  - ### setPresencePenalty

    public OpenAiCompletionParameters setPresencePenalty(@Nullable Double presencePenalty)
    Deprecated.
    Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics.
    Returns:
      `this`.

  - ### setFrequencyPenalty

    public OpenAiCompletionParameters setFrequencyPenalty(@Nullable Double frequencyPenalty)
    Deprecated.
    Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim.
    Returns:
      `this`.